## Workflow v2.9.1 -> v2.10.0

#### Releases

- controller v2.9.1 -> v2.10.0
- fluentd v2.5.0 -> v2.6.0
- logger v2.4.0 -> v2.4.1
- postgres v2.4.4 -> v2.5.0
- registry v2.3.1 -> v2.3.2
- registry-token-refresher v1.0.4 -> v1.1.0
- router v2.7.0 -> v2.8.1
- workflow v2.9.1 -> v2.10.0
- workflow-cli v2.9.1 -> v2.10.0
- workflow-e2e v2.7.1 -> v2.8.0

#### Features

- [`38275ea`](https://github.com/drycc/controller/commit/38275ea3d20a5e40413d8e0fbfbb09d8fb0184a2) (controller) - controller: add LDAP authentication
- [`51cab9d`](https://github.com/drycc/controller/commit/51cab9dacab73054247f37830ca6ea06608ac02d) (controller) - api: add deploy hooks (#1168)
- [`805a455`](https://github.com/drycc/controller/commit/805a455520c034c829b144d9dd0b793730443183) (controller) - api: validate a certificate's private key (#1157)
- [`5bed284`](https://github.com/drycc/fluentd/commit/5bed284d6835376675f79d15279a6b2100766cc7) (fluentd) - charts: add optional syslog endpoint setting
- [`830cee8`](https://github.com/drycc/postgres/commit/830cee802e45542f1ccb1ed0f5f50d49bc3e5410) (postgres) - charts: Add support to specify creds for in cluster db through values file
- [`f7df62a`](https://github.com/drycc/workflow-e2e/commit/f7df62a34e90cef38cabee02f78162f591a3fd5b) (workflow-e2e) - auth_test.go: add interactive register spec
- [`67b658f`](https://github.com/drycc/workflow/commit/67b658f692c65e274b486e7f3e91705bd1204921) (workflow) - charts: Add optional syslog endpoint setting to fluentd
- [`4a5b895`](https://github.com/drycc/workflow/commit/4a5b8951aff85cbf1cbb923360a4fcb96fdab826) (workflow) - azure: Add docs to specify support for the azure container registry
- [`19b9ec1`](https://github.com/drycc/workflow/commit/19b9ec1d96287e3c8d341dcc1a79a6850b6dc973) (workflow) - azure: skeleton for Azure Container Service quickstart
- [`f344230`](https://github.com/drycc/workflow/commit/f344230b2490d50fa3fd07028a5bc7c8011d1359) (workflow) - Dockerfile: make the Dockerfile more functional
- [`de4564f`](https://github.com/drycc/workflow/commit/de4564fd7417112fcd7e3bed29043cd45fcd7bc4) (workflow) - managing-drycc: add docs for deploy hooks
- [`e255775`](https://github.com/drycc/workflow/commit/e2557755b4badd0e6b1a36c7a6c450987540d376) (workflow) - charts: Add support to specify creds for in cluster db through values file

#### Refactors

- [`ffa66e7`](https://github.com/drycc/controller/commit/ffa66e7c62a58c5edf804b232e92c0748c30404f) (controller) - api: placate new flake8 linter checks
- [`e470052`](https://github.com/drycc/controller/commit/e470052be7d9ee61628ce1e79d77ddb30f3a7257) (controller) - codecov: add 0.2% failure threshold to codecov (#1192)
- [`f2bc3ae`](https://github.com/drycc/registry/commit/f2bc3aefc6a3b43f414bbd131956abf171ffd9bd) (registry) - update docs and Makefile
- [`ba06288`](https://github.com/drycc/workflow-cli/commit/ba06288d035df826c988a40db96ef036e173d41d) (workflow-cli) - placate gometalinter checks
- [`91dda51`](https://github.com/drycc/workflow-e2e/commit/91dda5188daacb22bcb54fb54db3935bf737f1fd) (workflow-e2e) - adjust error message expectations
- [`1c05adb`](https://github.com/drycc/workflow/commit/1c05adb0118f3db4e2548f2d250c5cb29bd22848) (workflow) - require key_json chart value to be base64-encoded

#### Fixes

- [`1609d89`](https://github.com/drycc/controller/commit/1609d897fb16dc3e376905fd7f49638d3db575c9) (controller) - apiserver: Add an option to skip ssl verification when interacting with the k8s api
- [`d2ee40f`](https://github.com/drycc/controller/commit/d2ee40f40d3c663af5956228f6d26f8966cd4466) (controller) - boot: Don't change group ownership of docker socket
- [`62f081a`](https://github.com/drycc/controller/commit/62f081a7e56eb6f06230d6612b5203d183016b1e) (controller) - scheduler: use pypa packaging to compare server version (#1167)
- [`9f4543b`](https://github.com/drycc/controller/commit/9f4543b6ca79475156a51f8c6dd14006dc71db59) (controller) - domain: remove the annotation when domain is deleted
- [`27a59d1`](https://github.com/drycc/controller/commit/27a59d11446d182e7749647e70b1baaa7103bb8a) (controller) - service-config: Don't add annotations if the value is empty
- [`890a263`](https://github.com/drycc/controller/commit/890a26318802fedf1ce82c42ad2401af57671af4) (controller) - api: account for NoneType when resource is gone (#1178)
- [`f132b25`](https://github.com/drycc/controller/commit/f132b2524028ed324cc38cdd45920b76883135e4) (controller) - api: validate app name against k8s service regex (#1163)
- [`9098331`](https://github.com/drycc/controller/commit/9098331900f1dda36ba4f858b4bbbc1719933979) (controller) - perms: Use the same regex for perms as auth endpoint (#1181)
- [`30ab1d3`](https://github.com/drycc/controller/commit/30ab1d3b338374277d1ccc6324ceb4738e9af6c6) (controller) - settings: disable LDAP by default (#1191)
- [`4c36791`](https://github.com/drycc/controller/commit/4c36791fe0829b48b7aeebe422f05e46d4e06df3) (controller) - management: display error when connecting to the database (#1190)
- [`78ad61f`](https://github.com/drycc/fluentd/commit/78ad61f7bd22450e820d6c34b56c31cd07d76c31) (fluentd) - logger: show error message and backtrace
- [`107b2e1`](https://github.com/drycc/fluentd/commit/107b2e14558be4c64e75f4debd153b921cff709f) (fluentd) - logger: utf-8 encoding
- [`34da2e2`](https://github.com/drycc/router/commit/34da2e281dcead217b11adfc56904c1fe3efac85) (router) - charts: enable hostports by default
- [`4284483`](https://github.com/drycc/workflow-cli/commit/4284483d69056333bff010d74093e259ff0442ac) (workflow-cli) - healthcheck: Parse arguments properly for httpheaders
- [`958a3ab`](https://github.com/drycc/workflow-cli/commit/958a3ab6bdfaf191f173d35ead96b08d698b4cf8) (workflow-cli) - Jenkinsfile: update downstream test job
- [`2b7700d`](https://github.com/drycc/workflow-cli/commit/2b7700dbe93aac847d827c2c19f4b8cdfc49ddff) (workflow-cli) - glide: update the controller sdk go version in the glide
- [`388fd97`](https://github.com/drycc/workflow-cli/commit/388fd9772ba9aa7fc7b7fe83f56fabb6e8ed1843) (workflow-cli) - Jenkinsfile: set git_branch to env.BRANCH_NAME
- [`6d644a1`](https://github.com/drycc/workflow-e2e/commit/6d644a120fa819c746c6bd832039a04c8ed3badd) (workflow-e2e) - docker-test-integration.sh: explicit DEBUG_MODE check
- [`f81df33`](https://github.com/drycc/workflow-e2e/commit/f81df33de3570907a90bc3538235fb8f6faf9f38) (workflow-e2e) - chart: s/ginko/ginkgo
- [`a686dfd`](https://github.com/drycc/workflow/commit/a686dfd32141edb90dcd32ca07536c55b21bc6ba) (workflow) - values: redis params are in the redis chart
- [`b3a9db1`](https://github.com/drycc/workflow/commit/b3a9db14c41caae331d53ef5dd553d856ccbb271) (workflow) - upgrade: Use a random generated name for upgrade job so it be upgraded multiple times using helm
- [`5b7b98d`](https://github.com/drycc/workflow/commit/5b7b98ddb85fa621fd7ab1c852907991a2f3faa5) (workflow) - releases: remove reference to drycc/charts in release notes
- [`233b630`](https://github.com/drycc/workflow/commit/233b630cb4b3e6f658c3d7b530ca67434e6baaed) (workflow) - managing-workflow: update logging and monitoring docs to reflect helm v2
- [`6989718`](https://github.com/drycc/workflow/commit/698971858c98ea25b3bf17ee8e932f1df47004dc) (workflow) - charts: enable hostports by default
- [`2a96baf`](https://github.com/drycc/workflow/commit/2a96bafeaf2507d368c3785fea5ce5054a6af840) (workflow) - upgrading-workflow: fix helm upgrade usage

#### Documentation

- [`ee93ec4`](https://github.com/drycc/controller/commit/ee93ec49c5e93f0a7237b0ffa717ffc2aca8487d) (controller) - README.md: update badge to use drycc-bot's account
- [`b4a86c8`](https://github.com/drycc/controller/commit/b4a86c84d3a0ef8e5008758bd2552e46d75b18e8) (controller) - README: remove helmc mention
- [`1e90453`](https://github.com/drycc/registry-token-refresher/commit/1e904537f96b01ae2f9adfa37909478e1138abcf) (registry-token-refresher) - update key_json value
- [`29492e5`](https://github.com/drycc/workflow/commit/29492e5336ea956175e225051ea604bcffaaaffa) (workflow) - managing-workflow: Add docs about resource quota for application namespace
- [`c9539d0`](https://github.com/drycc/workflow/commit/c9539d0a23c80ee76150bdb14384b32652dd6bb2) (workflow) - src/roadmap/releases.md: update to use k/helm
- [`48b875e`](https://github.com/drycc/workflow/commit/48b875e0bdef8f008e4dd09f18e58a43bce4be19) (workflow) - gke/boot: Update command to auth to kubernetes host
- [`3c6cb1c`](https://github.com/drycc/workflow/commit/3c6cb1c3fe44a950d64204e2c3604f546d15f230) (workflow) - azure-acs: style and typo fixes
- [`42f99cf`](https://github.com/drycc/workflow/commit/42f99cf1c8b54fa49ed52eee69ab9d9fc976b718) (workflow) - managing-workflow: Add LDAP configuration
- [`3773830`](https://github.com/drycc/workflow/commit/377383088735dda38d48bc959a6e3b2edaed7760) (workflow) - releases.md: update to reference workflow-chart-stage job
- [`6fa3f37`](https://github.com/drycc/workflow/commit/6fa3f375d289ec120d3fe4601e73316777aeae85) (workflow) - system-requirements: add warning for k8s 1.5
- [`057cbe6`](https://github.com/drycc/workflow/commit/057cbe60924f0a3407ab174082be538d7cc9aecb) (workflow) - azure-acs: more info and spell fixes
- [`5bbc137`](https://github.com/drycc/workflow/commit/5bbc1372c950a98ce0b7709e85e620f5f78453ed) (workflow) - installing-workflow: deprecate support for v1.2 clusters
- [`c5d4d46`](https://github.com/drycc/workflow/commit/c5d4d46d909fddffa921b4a0bd4bab03f48d44fe) (workflow) - update versions to v2.9.1 and add changelog
- [`0a8e44e`](https://github.com/drycc/workflow/commit/0a8e44e46245acd08513e768593075c144cd0007) (workflow) - remove need for echo after helm fetch verify; update sha256
- [`0cc5dfb`](https://github.com/drycc/workflow/commit/0cc5dfb584d43bba9691939abfd9b5e4608a32eb) (workflow) - releases.md: add patch release notes
- [`f16816e`](https://github.com/drycc/workflow/commit/f16816ec9e4d55b9a0307ef549bc1ff596063b6c) (workflow) - README.md: add temporary holiday notice
- [`3406eac`](https://github.com/drycc/workflow/commit/3406eaccbd1b1164405a37fd0913577734842ee5) (workflow) - applications: fix broken links for SSH keys
- [`70f50a5`](https://github.com/drycc/workflow/commit/70f50a58de214285e01288244de2109d00d41079) (workflow) - add upgrade note for gcs/gcr
- [`5f6dd73`](https://github.com/drycc/workflow/commit/5f6dd73770b11deee5c1a2cf15fcb9573bcc2ff1) (workflow) - upgrading-workflow: add note about using single quotes around base64 encoded string

#### Maintenance

- [`22288eb`](https://github.com/drycc/controller/commit/22288eb1f861975beb319fbf2365c765569705fa) (controller) - requirements: update requests lib to 2.12.3
- [`f3d71c0`](https://github.com/drycc/controller/commit/f3d71c0bc9bbadbf86585d3218053758f9fbf313) (controller) - requirements: update Django to 1.10.4
- [`cfc08d6`](https://github.com/drycc/controller/commit/cfc08d6b1d25b2bfbd78bb040ccd169d97161aae) (controller) - dev_requirements: upgrade flake8 to 3.2.1
- [`f3d9c1b`](https://github.com/drycc/controller/commit/f3d9c1b05cc0b6ff22f726fb17795b2f728b4431) (controller) - requirements: update pytz to 2016.10
- [`6d13723`](https://github.com/drycc/controller/commit/6d1372394bb3cf648444c0e0173e0e63e5e25984) (controller) - Makefile: remove pyvenv script (#1161)
- [`0566131`](https://github.com/drycc/controller/commit/05661317fc185b0a6c647a6766588ab7ee959470) (controller) - dev_requirements: update coverage to 4.3.1
- [`b3056f0`](https://github.com/drycc/controller/commit/b3056f0478f8a76c17e85472aa0a3e9fd45d93bb) (controller) - requirements: update requests to 2.12.4
- [`f478ee9`](https://github.com/drycc/controller/commit/f478ee981d8136c607b71e6ed318c0d3c1d97530) (controller) - requirements: update idna to 2.2
- [`b6d19d5`](https://github.com/drycc/logger/commit/b6d19d5a0f64297691a6c054c3fafb84c9455fec) (logger) - manifests: remove manifests
- [`50307cc`](https://github.com/drycc/logger/commit/50307cc40d644f8d7566b6cd0b80d440873774b7) (logger) - glide: update envconfig
- [`a0e22a7`](https://github.com/drycc/router/commit/a0e22a7a25af62fa8b757147d0b798802390342c) (router) - nginx: update nginx to 1.11.7
- [`8622f48`](https://github.com/drycc/router/commit/8622f486b2bf396513962e2a9fe20147db3ea71c) (router) - nginx: update nginx to 1.11.8
- [`0fd3251`](https://github.com/drycc/workflow-cli/commit/0fd325103d1c797ca623523fd2149fb3a8fc7d3d) (workflow-cli) Dockerfile: update go-dev to v0.21.0
- [`62c2e65`](https://github.com/drycc/workflow-cli/commit/62c2e657581adf4be0ced87afa9c74184362f3fd) (workflow-cli) glide: bump controller-sdk-go to 50747d7
- [`bf269d2`](https://github.com/drycc/workflow/commit/bf269d2abc65b2d537f792029f490deedc8e3077) (workflow) azure: add Azure section to sidebar
- [`a4a589e`](https://github.com/drycc/workflow/commit/a4a589e64cbff86e8c8d446edca82c92b3cb27c2) (workflow) docs: add images for ui steps
- [`bf61fd6`](https://github.com/drycc/workflow/commit/bf61fd662604c47b6ed1c9f308976dec6b78a429) (workflow) docs: flesh out steps for azure acs through UI
- [`ddfe3a0`](https://github.com/drycc/workflow/commit/ddfe3a0de06b0976f74353e65bf861237d4d0145) (workflow) chart: update values file description
- [`1fb84dc`](https://github.com/drycc/workflow/commit/1fb84dc4a95737ceb9e7f4f1ced22aaac84fc298) (workflow) controller: disable tls verification on acs
