## Workflow v2.11.0 -> v2.12.0

#### Releases

- builder v2.7.1 -> v2.8.0
- controller v2.11.0 -> v2.12.0
- dockerbuilder v2.6.0 -> v2.7.1
- fluentd v2.6.1 -> v2.7.0
- monitor v2.7.1 -> v2.8.0
- postgres v2.5.1 -> v2.5.2
- registry v2.3.3 -> v2.3.4
- router v2.9.0 -> v2.11.0
- slugbuilder v2.4.9 -> v2.4.10
- slugrunner v2.2.4 -> v2.3.0
- workflow v2.11.0 -> v2.12.0
- workflow-cli v2.11.0 -> v2.12.0
- workflow-e2e v2.9.0 -> v2.10.0

#### Features

- [`b91c8a0`](https://github.com/drycc/builder/commit/b91c8a0bb831cbfa312d6cfcddffe280a6469824) (builder) - gitreceive: add app envvars to DOCKER_BUILD_ARGS
- [`357f9a1`](https://github.com/drycc/builder/commit/357f9a1e984fbaf89691370aac58849e7115ddc7) (builder) - gitreceive: fix type of dockerBuildArgs
- [`2c1316a`](https://github.com/drycc/dockerbuilder/commit/2c1316a27fae9629eaa40ccbd916c03a1b38a582) (dockerbuilder) - deploy: support DOCKER_BUILD_ARGS envvar
- [`0681d7e`](https://github.com/drycc/dockerbuilder/commit/0681d7e24557a0688ca4e35741c42af116766968) (dockerbuilder) - deploy: Use empty default if DOCKER_BUILD_ARGS env var is not set
- [`a3ed520`](https://github.com/drycc/fluentd/commit/a3ed5205e44bb6f93cfc964e2d58d6893563a803) (fluentd) - elasticsearch: add support for "reload_connections" option
- [`503ca0e`](https://github.com/drycc/monitor/commit/503ca0ea937c2487bbf6bffd8c7ec8075f0f805b) (monitor) - grafana: allow user to install plugins
- [`74449a6`](https://github.com/drycc/router/commit/74449a607426aa05b51c890972f30e7140c57348) (router) - charts: add resource requests to chart
- [`d241b74`](https://github.com/drycc/router/commit/d241b74f4125a5b7a15e49cb754798822a76f585) (router) - proxyBuffers: Add app-level proxy buffer config options
- [`2b9074f`](https://github.com/drycc/router/commit/2b9074f8964ace98d277c883542529f4abf6019d) (router) - proxyBuffers: Set at global level; override at app level
- [`98796f8`](https://github.com/drycc/slugrunner/commit/98796f84bd7837cada8c406091ececa359760bc7) (slugrunner) - Makefile: set docker build flags via environment variable
- [`d3e0d74`](https://github.com/drycc/workflow-e2e/commit/d3e0d74355f42fcc8cbbd67845f18479ad03fac4) (workflow-e2e) - tests: add config:set spec with dockerfile app

#### Refactors

- [`3b7fcef`](https://github.com/drycc/builder/commit/3b7fcef896d74b239ab22ac240d8cf9b181357c3) (builder) - pkg: placate new go metalinter warnings
- [`84753d2`](https://github.com/drycc/router/commit/84753d243b7fc3602e23dca18cb021cef2933061) (router) - charts: disable host_port/enabled by default
- [`9ecea1f`](https://github.com/drycc/workflow/commit/9ecea1f26978120ef8936b4b7ebd6a18afb04e60) (workflow) - chart: remove upgrade-job.yaml (#748)
- [`f5e7199`](https://github.com/drycc/workflow/commit/f5e7199219bddc70e3c325df7d971927aa1c243b) (workflow) - router: disable router hostPort usage by default

#### Fixes

- [`b3b1d20`](https://github.com/drycc/builder/commit/b3b1d203d36b1ee2066b9d5ebe96be5362b3b8f4) (builder) - Dockerfile: force gunzip of license files
- [`e1e3452`](https://github.com/drycc/builder/commit/e1e345286fada7638b7a408a8c4235dfffbe3293) (builder) - gitreceive/build.go: watch pods in the appropriate namespace
- [`7f121a4`](https://github.com/drycc/builder/commit/7f121a45ef08c1022e415f377889f258176c0329) (builder) - .travis.yml: declare env vars on one line
- [`98f50c5`](https://github.com/drycc/controller/commit/98f50c55391a0dcd41c8bc9c7c6d504f9b7b68dc) (controller) - models/app: recreate proc types on switch from Dockerfile to buildpack
- [`8480f69`](https://github.com/drycc/controller/commit/8480f69fbcdb1ec8a9bad6fcdf179d55e38f8edd) (controller) - app.py: use current namespace instead of "drycc"
- [`bfadce8`](https://github.com/drycc/controller/commit/bfadce8814f550bcbc433b20cf31917aba06f494) (controller) - charts: default registration mode to "admin_only"
- [`13b2463`](https://github.com/drycc/dockerbuilder/commit/13b2463d5311da00ac5125534ee7add19a89fa3a) (dockerbuilder) - deploy: inject DOCKER_BUILD_ARGS into the Dockerfile
- [`861100b`](https://github.com/drycc/fluentd/commit/861100bbf4aa0dc281585128ad42f575b06c07cc) (fluentd) - Dockerfile: force gunzip of license files
- [`5188f77`](https://github.com/drycc/postgres/commit/5188f77e368c173fdf721d088c72157a52c047e7) (postgres) - create_bucket: avoid S3 InvalidLocationConstraint error
- [`2ada84f`](https://github.com/drycc/postgres/commit/2ada84f3ef6b22980a25c01e0a2d279fa46d3434) (postgres) - .travis.yml: declare env vars on one line
- [`86a30d7`](https://github.com/drycc/registry/commit/86a30d779f24049b528668287278bd0946795a06) (registry) - .travis.yml: declare env vars on one line
- [`a885078`](https://github.com/drycc/registry/commit/a885078faf719d5dbd68981ed8f0420de36484ca) (registry) - create-bucket: avoid S3 InvalidLocationConstraint error
- [`5df84f1`](https://github.com/drycc/router/commit/5df84f138e7bedce2c7173add23a53817732c8a5) (router) - Dockerfile: force gunzip of license files
- [`fa9c217`](https://github.com/drycc/router/commit/fa9c2173df8695c6d1ef7222187d1d88ac2ac806) (router) - style: Apply mandatory formatting fixes
- [`f2d7ee5`](https://github.com/drycc/router/commit/f2d7ee5a03a7102125981c1c8393a214de698d08) (router) - .travis.yml: Make travis apply style checks
- [`65b7487`](https://github.com/drycc/router/commit/65b7487066028fd54c75179d22158df71e272da3) (router) - charts: quote annotation values
- [`e7bb879`](https://github.com/drycc/workflow/commit/e7bb879ca01ccaaffb05ee74eb6deeb99aab66ae) (workflow) - quickstart: fix kops typo
- [`1c506d7`](https://github.com/drycc/workflow/commit/1c506d7ccad56edf4c5370552f20483d439d7a64) (workflow) - quickstart: update azure quickstart docs
- [`7d63d07`](https://github.com/drycc/workflow/commit/7d63d0718123a24fedde5540247505598f46b671) (workflow) - charts: default registration mode to "admin_only" (#758)
- [`02e9437`](https://github.com/drycc/workflow/commit/02e9437d800dd0a71bc9390ad58b50c8bf263497) (workflow) - quickstart: prepend Azure envvars with AZURE_
- [`6f5d0ca`](https://github.com/drycc/workflow/commit/6f5d0caccb4aec8b2cad74abaae99a6552a6b74b) (workflow) - aws/boot: don't overwrite kops with kubectl

#### Documentation

- [`3e8ff74`](https://github.com/drycc/router/commit/3e8ff74dc69f1e4cc5c3af38341abbe8726eca20) (router) - README: Reflect newer install/hack/deploy processes
- [`67d5d8b`](https://github.com/drycc/workflow/commit/67d5d8b906386948531bb810fbb506101528d48b) (workflow) - src/quickstart/provider/aws: Use kops instead of kube-up.sh for workflow clusters on AWs
- [`2217993`](https://github.com/drycc/workflow/commit/2217993919e8bec42c443ee6a6114e01bb149993) (workflow) - src/quickstart/provider/aws: docs(src/quickstart/provider/aws) Changes from code review.
- [`18d24d9`](https://github.com/drycc/workflow/commit/18d24d9d819ae33994ebb4526424dc398bbc72f1) (workflow) - platform-monitoring.md: update grafana un/pw set instructions
- [`5c16b82`](https://github.com/drycc/workflow/commit/5c16b828636f9b2208b9f77d8bbc9341a3eec298) (workflow) - src/quickstart/provider/aws: docs(src/quickstart/provider/aws) Changes from code review.
- [`ea8c7a6`](https://github.com/drycc/workflow/commit/ea8c7a6226d64a66da4561959b68ad74f8e08b83) (workflow) - src/quickstart/provider/aws: Changes from code review.
- [`e6d36a6`](https://github.com/drycc/workflow/commit/e6d36a65f9e1abfeb305c2631316405b075a61a8) (workflow) - src/roadmap/releases.md: simplify docs in global changelog step (#722)
- [`2511d0a`](https://github.com/drycc/workflow/commit/2511d0adeefd6a37992688d197eeb2627e205c44) (workflow) - managing-workflow: docs(managing-workflow) Document k8s annotation for AWS ELB idle timeout
- [`427e49a`](https://github.com/drycc/workflow/commit/427e49a4f40542c2a124cd6c9795eae1db5d6ef8) (workflow) - tuning-component-settings: elaborate with practical examples (#749)
- [`df70aa5`](https://github.com/drycc/workflow/commit/df70aa5f04c2a73e22509823859a1c7d2af423a6) (workflow) - installing: specify helm v2.1.3 as minimum everywhere

#### Maintenance

- [`e7eafb9`](https://github.com/drycc/builder/commit/e7eafb90bf03ad450c7c36a5fb91843a6aac3fa6) (builder) - Makefile: update docker-go-dev to v0.22.0
- [`f3e13b3`](https://github.com/drycc/builder/commit/f3e13b3cde15769966ca48327f10cc5b4fe280d8) (builder) - glide: bump golang.org/x/crypto to 453249f
- [`e69a9a4`](https://github.com/drycc/controller/commit/e69a9a4d1ba8e62fcf40028655ad72d3ccdaec1e) (controller) - requirements: update jmespath to 0.9.1
- [`99c11d9`](https://github.com/drycc/controller/commit/99c11d9cfcd0acb75094be16f4acea03fefd3cd6) (controller) - requirements: update requests to 2.13.0
- [`74d16af`](https://github.com/drycc/controller/commit/74d16af9ad4df50c81158bb57db664a43e1de669) (controller) - requirements: update backoff library
- [`afbca0d`](https://github.com/drycc/controller/commit/afbca0d3026ca1f9547e5de94d0a73ee5710fd2f) (controller) - requirements: update jsonschema library
- [`5174fea`](https://github.com/drycc/controller/commit/5174fea369e992c6689b11cc84e21a680f4a3873) (controller) - dev_requirements: update flake8 linter library
- [`96576dd`](https://github.com/drycc/controller/commit/96576dd73ebc5d6479323065b05f303c561b8bfc) (controller) - requirements: update django-auth-ldap to 1.2.9
- [`8c8261d`](https://github.com/drycc/controller/commit/8c8261de11b9332a2449997a82cdca07bdf5b9a5) (controller) - requirements: update djangorestframework to 3.5.4
- [`894a324`](https://github.com/drycc/controller/commit/894a3245dbfe7c366c26171d90c35bf99eedd20d) (controller) - requirements: update requests-toolbelt to 0.7.1
- [`52a7650`](https://github.com/drycc/dockerbuilder/commit/52a7650c8016a64f65fd5492a1463398338b5625) (dockerbuilder) - dev_requirements: update flake8 linter library
- [`6997f06`](https://github.com/drycc/dockerbuilder/commit/6997f06cc553cdf67590869c1ea6cdac85dbbb76) (dockerbuilder) - .travis.yml: update python to 3.5.x
- [`23d2da2`](https://github.com/drycc/fluentd/commit/23d2da2f5aed484401e9ba316e8f48dc3ec32742) (fluentd) - Dockerfile: update fluentd to 0.14.13
- [`614fd40`](https://github.com/drycc/postgres/commit/614fd4040a331375a3be466e47daf32d7fbd83a4) (postgres) - Dockerfile: bump PG_VERSION to 9.4.11-1.pgdg16.04+1
- [`46f6e1d`](https://github.com/drycc/router/commit/46f6e1d615949ae9294104d1f5de2617b2095b1b) (router) - Makefile: update docker-go-dev to v0.22.0
- [`8de0045`](https://github.com/drycc/router/commit/8de0045c3a11e851eb9cb29e9fa38371e6a19fb8) (router) - nginx: update nginx to 1.11.9
- [`1cde072`](https://github.com/drycc/router/commit/1cde0727bfc8f0425faef1414820cba36a668770) (router) - Makefile: Modernize dev/hack deployment
- [`f7a202e`](https://github.com/drycc/router/commit/f7a202e486686212a2d50df6411bf2eb52cf07b9) (router) - Makefile: Remove minimally useful clean targets
- [`abb7a8e`](https://github.com/drycc/slugbuilder/commit/abb7a8ec1ea82ea411c75f97e7915bd44599bf8f) (slugbuilder) - buildpacks: update heroku-buildpack-nodejs to v98
- [`d255d7b`](https://github.com/drycc/slugbuilder/commit/d255d7b011dcdfb98e318f327461354ac5e12dba) (slugbuilder) - buildpacks: update heroku-buildpack-clojure to v76
- [`97218ad`](https://github.com/drycc/slugbuilder/commit/97218adb81383ecdf8e61de5e904d9622dce4ae3) (slugbuilder) - buildpacks: update heroku-buildpack-go to v60
- [`1f35b41`](https://github.com/drycc/slugbuilder/commit/1f35b416d3d9ff3c813c6465ec2161dbc8cb0e01) (slugbuilder) - buildpacks: update heroku-buildpack-gradle to v21
- [`327d2bb`](https://github.com/drycc/slugbuilder/commit/327d2bbec6157ce16a0c0e9851831c89106b40a5) (slugbuilder) - buildpacks: update heroku-buildpack-java to v50
- [`b3844cb`](https://github.com/drycc/slugbuilder/commit/b3844cb7ba5c2a0402a0a89b62d9d83973461a59) (slugbuilder) - buildpacks: update heroku-buildpack-php to v119
- [`e392787`](https://github.com/drycc/slugbuilder/commit/e3927876c0df00ec691e62c87fbf59d7d5b70870) (slugbuilder) - buildpacks: update heroku-buildpack-ruby to v153
- [`0798cd6`](https://github.com/drycc/slugbuilder/commit/0798cd62b5d6ec3deacacc4eff25a965796a691f) (slugbuilder) - buildpacks: update heroku-buildpack-scala to v75
- [`6abe59d`](https://github.com/drycc/slugbuilder/commit/6abe59deb46662c831fbdb92cc678a9e06764893) (slugbuilder) - buildpacks: update heroku-buildpack-go to v62
- [`d453264`](https://github.com/drycc/slugbuilder/commit/d45326480b228ce5b171bb00d7189a070afd967d) (slugbuilder) - buildpacks: update heroku-buildpack-java to v51
- [`4d92580`](https://github.com/drycc/slugbuilder/commit/4d9258041107b709b46221115c08af3dc928e013) (slugbuilder) - buildpacks: update heroku-buildpack-python to v99
- [`ead5bbb`](https://github.com/drycc/slugbuilder/commit/ead5bbb40f8c6d8998ddcc4ec14a3679abdb50f9) (slugbuilder) - buildpacks: update heroku-buildpack-scala to v76
- [`a8b2844`](https://github.com/drycc/slugbuilder/commit/a8b284472bbde03741f94febd8c7db9286298b31) (slugbuilder) - buildpacks: update heroku-buildpack-php to v120
- [`8aff8c6`](https://github.com/drycc/workflow-cli/commit/8aff8c698e912fe1b7a6a77c5e051f1560f4e59f) (workflow-cli) - Dockerfile: update go-dev to v0.22.0
