## Workflow v2.12.0 -> v2.13.0

#### Releases

- builder v2.8.0 -> v2.10.1
- controller v2.12.0 -> v2.13.0
- dockerbuilder v2.7.1 -> v2.7.2
- fluentd v2.7.0 -> v2.8.0
- logger v2.4.2 -> v2.4.3
- monitor v2.8.0 -> v2.8.1
- nsq v2.2.6 -> v2.2.7
- postgres v2.5.2 -> v2.5.3
- registry v2.3.4 -> v2.4.0
- registry-token-refresher v1.1.1 -> v1.1.2
- router v2.11.0 -> v2.12.0
- slugbuilder v2.4.10 -> v2.4.11
- workflow v2.12.0 -> v2.13.0
- workflow-cli v2.12.0 -> v2.13.0
- workflow-e2e v2.10.0 -> v2.11.0
- workflow-manager v2.4.5 -> v2.5.0

#### Features

- [`7d928d8`](https://github.com/drycc/builder/commit/7d928d82cdaa7eda0a2a9a6ebf957d01aa2146b6) (builder) - podselector: add pod selector for builder job
- [`67cfd5d`](https://github.com/drycc/builder/commit/67cfd5d844761dd887f537ef1fc64cd1860f067a) (builder) - podselector: update charts
- [`bf9747d`](https://github.com/drycc/builder/commit/bf9747d14220d3366fe0c5a8748bbbae2e9e4c96) (builder) - podselector: update parameter format to match other annotation
- [`01db893`](https://github.com/drycc/builder/commit/01db893cb5ff5ebf67999ebb179e3e6487641f56) (builder) - ingress: Experimental Native Ingress
- [`50a1592`](https://github.com/drycc/controller/commit/50a1592706922e6bd88dce12709aa94bc66ae761) (controller) - config.py: Add ability to setup default tags
- [`726a587`](https://github.com/drycc/controller/commit/726a5875eb0486a50f98971fa62789cff7b217b0) (controller) - ingress: Feature work for experimental native ingress
- [`0e117b1`](https://github.com/drycc/controller/commit/0e117b1bd04dfd84a94d5e295c4d16328db7e66e) (controller) - api: allow app names up to 63 characters in length (#1198)
- [`2e8ec75`](https://github.com/drycc/controller/commit/2e8ec75d16ef6d5a1c07d16726f09419a17208e6) (controller) - Makefile,rootfs: run unit and style tests in container
- [`a2bbd90`](https://github.com/drycc/dockerbuilder/commit/a2bbd90dd17a23310c1f380a3f43e53c0eaa256f) (dockerbuilder) - Makefile: run style tests in container
- [`0325f2d`](https://github.com/drycc/fluentd/commit/0325f2dec80322b0a390d5b71b3c23063eaa5a58) (fluentd) - out_drycc.rb: allow disabling drycc logs and metrics to nsq
- [`451c846`](https://github.com/drycc/nsq/commit/451c846997dd010709be8c0e19e2ae334764fd6a) (nsq) - Makefile: add test target
- [`d39ea43`](https://github.com/drycc/registry/commit/d39ea430d51635b2a3de5acc80b8fda7707cbe50) (registry) - Makefile: add test-style target
- [`a8c0fa7`](https://github.com/drycc/registry-proxy/commit/a8c0fa7f5db60dffa4b2fb8aa826466d6d8a2ce5) (registry-proxy) - Makefile: set docker build flags via environment variable
- [`badc232`](https://github.com/drycc/router/commit/badc23276a596c251e6e3164e3de26cad705757b) (router) - ingress: Experimental Native Ingress
- [`bbf8dee`](https://github.com/drycc/router/commit/bbf8dee9a49ecb868d0d8d2b6a75b89d28685feb) (router) - chart: add aws-specific idle timeout annotation to router service
- [`9136b81`](https://github.com/drycc/router/commit/9136b81bf4761718e9bf6b15c408e25d8b458111) (router) - ingress: Experimental Native Ingress
- [`23db7df`](https://github.com/drycc/workflow/commit/23db7dfadacd1d7543258e20e3d7f7ef11c32015) (workflow) - controller: feat(controller) default tags
- [`259a3f8`](https://github.com/drycc/workflow/commit/259a3f8192892dc6da5afaeaa1baa66492822c2c) (workflow) - using_dockerfiles: document build args feature flag
- [`2692d66`](https://github.com/drycc/workflow/commit/2692d6691dade8d510b032dd68f093449d8d8efb) (workflow) - ingress: Experimental Native Ingress
- [`eb1c025`](https://github.com/drycc/workflow/commit/eb1c025d78a3299a892f0b33d94118ace1fb1786) (workflow) - ingress: Support enable/disable conditions in Workflow chart
- [`89982ee`](https://github.com/drycc/workflow-cli/commit/89982eef4cfbd41f3000303f6dfe5fe6064d98e3) (workflow-cli) - cmd: add config:list --diff
- [`3750f53`](https://github.com/drycc/workflow-e2e/commit/3750f53aebc4a3eb6001dc967ece26cc7aa747ec) (workflow-e2e) - Makefile: add test target
- [`eaa74c7`](https://github.com/drycc/workflow-manager/commit/eaa74c7ec6345302760b5aae8d7d55167ba9153b) (workflow-manager) - clusters: added versions API route endpoints (#107)

#### Refactors

- [`e0765bf`](https://github.com/drycc/builder/commit/e0765bff10d5526ad13b6242ced11bc5f774bd0c) (builder) - ssh keys: remove support for DSA
- [`641f70d`](https://github.com/drycc/builder/commit/641f70d16fc5b43f46791860cf61d68fb1d8d15e) (builder) - k8s_util: make users opt into DOCKER_BUILD_ARGS
- [`807fe82`](https://github.com/drycc/controller/commit/807fe82df65004996b23bae1299811efc5ef3f96) (controller) - utils: use python 3.5 asyncio keywords
- [`3027766`](https://github.com/drycc/monitor/commit/302776634c0b9fae3fe2b8852753e46f9cc80dfc) (monitor) - ci: refactor monitor ci
- [`dc7c247`](https://github.com/drycc/nsq/commit/dc7c247f7d9c22b51a1b3368dc7ea973b3b2c33a) (nsq) - ci: remove manifests dir
- [`d5dd212`](https://github.com/drycc/workflow/commit/d5dd212936b13720a3714373c616853710c933c2) (workflow) - quickstart: swap out Vagrant with Minikube
- [`50ec2a2`](https://github.com/drycc/workflow-e2e/commit/50ec2a2e60ea457740b3aa9ce4b762b02a005ae8) (workflow-e2e) - tests: update tests for new registration mode default

#### Fixes

- [`9a2a1b4`](https://github.com/drycc/builder/commit/9a2a1b4ae6cb0d64b7d2af5b27d430a388a17098) (builder) - ingress: Adding newline to builder-service.yaml
- [`56abf92`](https://github.com/drycc/builder/commit/56abf9296d68615bb326b309b3c2de74a9b4b91d) (builder) - gitreceive: fix checkForEnv logic
- [`598f1a1`](https://github.com/drycc/builder/commit/598f1a1421a56b47a58f30eaaa423d6859b30c00) (builder) - gitreceive/config.go: correct envconfig typo
- [`1ff9245`](https://github.com/drycc/builder/commit/1ff92459a2ff325c412f2b92290781b1a4a8b74b) (builder) - builder: truncate slugbuilder and dockerbuilder pod name length
- [`1156475`](https://github.com/drycc/controller/commit/115647522fbfbea709f3e3e260719818a4a2d0c1) (controller) - serializers.py: update PROCTYPE_MATCH to disallow uppercase characters (#1261)
- [`a8002a2`](https://github.com/drycc/controller/commit/a8002a2172bc37801fc062f9a8a9fb65e50f4be3) (controller) - api: split command arguments by space if entrypoint is not /bin/bash -c (#1264)
- [`2dce7cd`](https://github.com/drycc/controller/commit/2dce7cd60dc81938e14fe15560c0aa580b9cc286) (controller) - settings/production: convert "false" to boolean correctly
- [`2569391`](https://github.com/drycc/logger/commit/25693914362643340ef35a6eb5eae57b50b6fb75) (logger) - log: fix panic error when building app log message
- [`a1e3fef`](https://github.com/drycc/monitor/commit/a1e3fefd39721407d649eb3950bb888e20a10cdd) (monitor) - telegraf: fix(telegraf) ensure off-cluster influxdb url is quoted
- [`4ac5d56`](https://github.com/drycc/monitor/commit/4ac5d5669ff120b6db1e7a43551dc50e33cce7cc) (monitor) - influx, grafana: Add logic around pvc storage class
- [`49a81f2`](https://github.com/drycc/monitor/commit/49a81f2d7bb08a624501e4e769eb1290a41a3258) (monitor) - charts/monitor/values.yaml: add logger_redis_location key/value
- [`f36f1e9`](https://github.com/drycc/postgres/commit/f36f1e9a4b59883a1ff074918dc2ceb02617753c) (postgres) - contrib/ci/*: fix scripts
- [`0d5ad68`](https://github.com/drycc/registry/commit/0d5ad68581bdf0eea4600991ac19883b35a8a583) (registry) - charts: Set sessionAffinity in registry service
- [`6771695`](https://github.com/drycc/registry-token-refresher/commit/6771695b3b1d6e201b9d40914f6c644e4809d457) (registry-token-refresher) - travis.yml: declare env vars on one line
- [`5f33f36`](https://github.com/drycc/workflow/commit/5f33f3663f26ef60d609368036c7ed637d5c5d59) (workflow) - managing-app-lifecycle: fix missing hyperlink
- [`91e7f76`](https://github.com/drycc/workflow/commit/91e7f761f8577c32cfbd237afff19d70f1268dcc) (workflow) - tuning-component-settings: convert toml to yaml
- [`e20215b`](https://github.com/drycc/workflow/commit/e20215b67a4a009c06a1fb65d7fd720a3ca564ee) (workflow) - ingress: Documentation touch ups
- [`dfdf7af`](https://github.com/drycc/workflow-cli/commit/dfdf7afd64faf5432307be22897265914548effb) (workflow-cli) - cmd: check for invalid probe types
- [`140ded9`](https://github.com/drycc/workflow-e2e/commit/140ded9b62d926890892cac91c3518f790966f55) (workflow-e2e) - tests/auth: no interactive register for admin

#### Documentation

- [`cd016e9`](https://github.com/drycc/controller/commit/cd016e99fed5d932995077f22dbd263088e98b64) (controller) - api,scheduler: fix "timeout" typos
- [`03a3e4c`](https://github.com/drycc/monitor/commit/03a3e4c47d1a5f24c92b34dc77729cbb9edbb826) (monitor) - README.md: add build badge
- [`f0e1016`](https://github.com/drycc/nsq/commit/f0e10166cd7d2862f44a528959189dd8b6c4a55f) (nsq) - README.md: add build badge
- [`3a99656`](https://github.com/drycc/workflow/commit/3a99656b5adce13d7e88c56f37b947780d0f7bc2) (workflow) - upgrading-workflow: mention helm repo update
- [`916f200`](https://github.com/drycc/workflow/commit/916f200b2390fdf9ee3809829253a84a2f1497ba) (workflow) - builder-nodeselector: add BUILDER_POD_NODE_SELECTOR document
- [`32a1493`](https://github.com/drycc/workflow/commit/32a1493b31dc4ff516f47f9910e1a2c35f7ad3cd) (workflow) - builder-nodeselector: correct grammar
- [`fdf76e4`](https://github.com/drycc/workflow/commit/fdf76e4f3c3d12a04f8be42f5031f0e624c77a60) (workflow) - managing-app-processes.md: update proc type naming guidelines (#769)
- [`3df978c`](https://github.com/drycc/workflow/commit/3df978cb879dfd7ec3151a6809a091f6c6fb002f) (workflow) - managing-app-configuration: update "kubernetes-probes" link
- [`722795b`](https://github.com/drycc/workflow/commit/722795b86cfceafc796a0fb2b9c6d3b6267f018c) (workflow) - configuring-load-balancers.md: mention forthcoming default (#768)
- [`8980c62`](https://github.com/drycc/workflow/commit/8980c62ebb459d50cbab25879829049c2a8f7605) (workflow) - src/applications/inter-app-communication.md: docs(src/applications/inter-app-communication.md) Add first draft
- [`cc02dcd`](https://github.com/drycc/workflow/commit/cc02dcd2e7c2be3791729dc13b9a11df0f2fd98a) (workflow) - configuring-registry.md: add examples (#779)
- [`dc43777`](https://github.com/drycc/workflow/commit/dc43777d42c23837b88db83b16a01b79bf7f9661) (workflow) - installing-workflow/index.md: update get pods output (#777)

#### Maintenance

- [`703c249`](https://github.com/drycc/controller/commit/703c249880d020ae85ace976cd7626bfa41e963c) (controller) - requirements: update idna to 2.4
- [`2224594`](https://github.com/drycc/controller/commit/22245942633e23cd28157a71cf8f3ae6fff4eefe) (controller) - requirements: update psycopg2 to 2.7
- [`1aed9e2`](https://github.com/drycc/controller/commit/1aed9e2c5be9495a88376cea12bed6c632e8dbf7) (controller) - requirements: update jsonfield to 2.0.0
- [`49ec35d`](https://github.com/drycc/controller/commit/49ec35dce691e35bece374a5e26a8c5337f3c4c6) (controller) - requirements: update Django to 1.10.6
- [`8d6126a`](https://github.com/drycc/controller/commit/8d6126a4677744d37a4d77554297590fb16db95a) (controller) - requirements: update gunicorn to 19.7.0
- [`2d071f4`](https://github.com/drycc/controller/commit/2d071f4a8851c11b6bbbf81e80d4560a501056a9) (controller) - requirements: update idna to 2.5
- [`53d34de`](https://github.com/drycc/controller/commit/53d34deff101212eba98f7ed16ba9a1695eea61e) (controller) - requirements: update jsonfield to 2.0.1
- [`0274973`](https://github.com/drycc/controller/commit/027497363aea6e9114a237ca914054abb4a6368d) (controller) - rootfs/requirements.txt: add pyasn1
- [`fcae228`](https://github.com/drycc/controller/commit/fcae2286c7a344c1d0391801bc9c5029d58b9004) (controller) - requirements: update django-auth-ldap to 1.2.10
- [`74372a5`](https://github.com/drycc/controller/commit/74372a5dcdb53cedf111c483f6d3fc3b26c3c466) (controller) - requirements: update jmespath to 0.9.2
- [`530256c`](https://github.com/drycc/controller/commit/530256cc1e7788599a989011dce319bc7a0302dc) (controller) - requirements: update djangorestframework to 3.6.2
- [`f01b846`](https://github.com/drycc/controller/commit/f01b84665b39c9b32c5180f2fe884b8652eab3e6) (controller) - requirements: update psycopg2 to 2.7.1
- [`429a645`](https://github.com/drycc/controller/commit/429a645073baa9c5ecea029c5479d8741655d918) (controller) - requirements: update gunicorn to 19.7.1
- [`0caeb81`](https://github.com/drycc/controller/commit/0caeb817be2920770793c0ff011ceb33ea0c6999) (controller) - Makefile: remove broken "test-unit-quick" target
- [`e8e6f58`](https://github.com/drycc/controller/commit/e8e6f5848008068325df2d80cf190f23a73a05d6) (controller) - dev_requirements: use drycc/requests-mock fork
- [`7713ff3`](https://github.com/drycc/postgres/commit/7713ff32d63c877f7fd166d44e6e986a079f2faf) (postgres) - Makefile: remove test-unit target
- [`66b9f1c`](https://github.com/drycc/registry/commit/66b9f1cef0b3650c9c5ba38904a6e183098d9b8c) (registry) - Dockerfile: bump registry to v2.6.0
- [`a795d72`](https://github.com/drycc/router/commit/a795d722362fc5b280942ca620d9695604488f09) (router) - ingress: Experimental Native Ingress
- [`bece9d5`](https://github.com/drycc/router/commit/bece9d53ff91d844b8123b3b22e62c12d5137a05) (router) - ingress: Experimental Native Ingress
- [`ea4a68c`](https://github.com/drycc/router/commit/ea4a68c0bf1b13a3618eeab7bcee4d7c75cb9687) (router) - nginx: update nginx to 1.11.10
- [`be3029c`](https://github.com/drycc/slugbuilder/commit/be3029cfe36c944273685ac415479cb200a72f74) (slugbuilder) - buildpacks: update heroku-buildpack-python to v102
- [`d802b84`](https://github.com/drycc/slugbuilder/commit/d802b84b32f57e933a6cf230ddf8b87a06418672) (slugbuilder) - buildpacks: update heroku-buildpack-ruby to v155
- [`17cddde`](https://github.com/drycc/workflow/commit/17cddde9c0214d769daac300bd49d13023f5b95d) (workflow) - ingress: Remove extra spaces
- [`21fe9f9`](https://github.com/drycc/workflow/commit/21fe9f9882758699368329d0c759d6d9566d47c6) (workflow) - ingress: Fix example usage in docs to match new YAML
- [`33a6251`](https://github.com/drycc/workflow/commit/33a625157c3e4291673a3f1f4fa57845541f1baa) (workflow) - ingress: Fix typo
- [`9f5bcea`](https://github.com/drycc/workflow/commit/9f5bcea949c5c3633463bd07c8a50276592530b8) (workflow) - ingress: Revert to using if statements in router
- [`b8e404c`](https://github.com/drycc/workflow/commit/b8e404cdc4e67f59fe1b4aa9fe1fa67a78e169b8) (workflow) - ingress: Documentation updates from code review
- [`dcac309`](https://github.com/drycc/workflow/commit/dcac30904d95f0e75d7d25e30b6c41f15da3b324) (workflow) - ingress: Typo in `experimental`
- [`5d4866d`](https://github.com/drycc/workflow/commit/5d4866df7737366d80b1a0b994f71cfc5b451c5c) (workflow) - upgrade: Upgrade kops to 1.5.3
- [`3e09799`](https://github.com/drycc/workflow-e2e/commit/3e097995a7b97e45d1d10e39926c01ce3cc43d69) (workflow-e2e) - README.md: update build status badge
