## Workflow v2.15.0 -> v2.16.0

#### Releases

- builder v2.11.0 -> v2.12.0
- controller v2.15.0 -> v2.16.0
- monitor v2.10.0 -> v2.10.1
- slugrunner v2.3.0 -> v2.3.1
- workflow v2.15.0 -> v2.16.0
- workflow-cli v2.15.0 -> v2.16.0
- workflow-e2e v2.11.1 -> v2.12.0

#### Features

- [`46002f4`](https://github.com/drycc/workflow-cli/commit/46002f4440bfbb2614f779375ba12d6a3e0cf80b) (workflow-cli) - cmd: Support Base64 encoded SSH_KEY
- [`88397a1`](https://github.com/drycc/workflow-cli/commit/88397a12bf716d788c7b5468d9833a448452d39f) (workflow-cli) - cmd: test SSH_KEY mangling in ConfigSet
- [`f9c6a4a`](https://github.com/drycc/workflow-e2e/commit/f9c6a4aa43d990f59e68a0cd40de4f46864584d2) (workflow-e2e) - chart: use upstream stable/spotify-docker-gc chart

#### Refactors

- [`ce0e082`](https://github.com/drycc/slugrunner/commit/ce0e082a17831285d1fbaf6cd08875a948a64697) (slugrunner) - ci: remove travis; update badge
- [`7e85553`](https://github.com/drycc/slugrunner/commit/7e85553cf3a197fc62b706df4262404cf92b37b3) (slugrunner) - LICENSE: switch to MIT license
- [`345d5ae`](https://github.com/drycc/workflow/commit/345d5aec07f64c04ccdf0f4fd1ad4622cf89b4b4) (workflow) - mkdocs.yml: alphabetize cloud providers in quickstart

#### Fixes

- [`73f844b`](https://github.com/drycc/builder/commit/73f844b5a8ac61f5f54422d34b779728db679bf3) *: Remove RC4 based ciphers.
- [`344b43e`](https://github.com/drycc/builder/commit/344b43e4c6e4f350706121300910e24160d78b8d) *: Fix linter issues
- [`c81dbf9`](https://github.com/drycc/controller/commit/c81dbf97827adf7fd54c9d8a9f055b92211f295e) (controller) - controller: Persist ssl.enforce header on service creation
- [`1f5e242`](https://github.com/drycc/workflow-cli/commit/1f5e2424947e75aba94158941d058e589d779916) (workflow-cli) - cmd: fix(cmd) Fix proctype regex for setting limits
- [`f82cf83`](https://github.com/drycc/workflow-cli/commit/f82cf8373b2742ac4a354220dd25a458c9bf160d) (workflow-cli) - cmd: fix(cmd) Fix proctype regex for scaling

#### Documentation

- [`25329be`](https://github.com/drycc/workflow/commit/25329be86bec3bd8b2b9d0dc0ba92c56775284fa) (workflow) - quickstart: update Azure ACS installation steps
- [`4cfa9d5`](https://github.com/drycc/workflow/commit/4cfa9d589312e336544ae7dc44bfed09e1a61aab) (workflow) - *: rm no longer needed pipe to sed (#817)
- [`5145f12`](https://github.com/drycc/workflow/commit/5145f123417126f7a84873a55ca7db46d59ee1f1) (workflow) - configuring-registry.md: add setup instructions for acr (#818)
- [`b456870`](https://github.com/drycc/workflow/commit/b4568706a37b33de33a1fe61ee6040d978fb095a) (workflow) - installing-workflow: helm init upgrade note (#819)
- [`61a5cca`](https://github.com/drycc/workflow/commit/61a5cca8b08f50eb08c2f3f1b1324babe8f8d26d) (workflow) - chart-provenance.md: fix chart repo name (#830)
- [`2a7f756`](https://github.com/drycc/workflow/commit/2a7f756f883107a0dcc7e0e8aee9d74bb9914f36) (workflow) - *: specify Helm v2.5.0 or later
- [`ef4bc3e`](https://github.com/drycc/workflow/commit/ef4bc3eae925558107cb269e5f8b09338a469ee2) (workflow) - *: updates/changelog for v2.16.0 release

#### Maintenance

- [`c2fd577`](https://github.com/drycc/controller/commit/c2fd5775ee28f0bed00014f0c6b8d2693f14927b) (controller) - requirements: update Django to v1.11.2
- [`fe6e6e5`](https://github.com/drycc/controller/commit/fe6e6e5280a83209b626d10492d07073b027ac52) (controller) - requirements: update pyldap to v2.4.35.1
- [`cac5e60`](https://github.com/drycc/controller/commit/cac5e602b617c4fd26737f11e87ff10601192146) (controller) - requirements: update jmespath to 0.9.3
- [`1fcf61b`](https://github.com/drycc/controller/commit/1fcf61bb7e33dc6da54f6a0d1b1918abab5255ba) (controller) - requirements: update backoff to 1.4.3
- [`410e1d3`](https://github.com/drycc/controller/commit/410e1d38f94dede6bab8fc4412380073b638be26) (controller) - requirements: update Django to v1.11.3
- [`516a529`](https://github.com/drycc/monitor/commit/516a5291aac544c7bd79a30c276be48d44174343) (monitor) - Dockerfile: update Grafana to 4.3.2
- [`5cd8648`](https://github.com/drycc/workflow-e2e/commit/5cd8648b3dc056784e0adc1d52e1b185a6af8adc) (workflow-e2e) - Dockerfile: bump k8s version
