### Workflow v2.1.0 -> v2.2.0

### Features

- [`b59bbbc`](https://github.com/drycc/fluentd/commit/b59bbbc308628b356291984e3506e233ec1227ed) (fluentd) - fluentd: Adding sumologic plugin support
- [`424523c`](https://github.com/drycc/logger/commit/424523c50cb893ae6048fe8a7b35c3486a4e5e07) (logger) - storage: Add redis storage adapter
- [`2da72a5`](https://github.com/drycc/logger/commit/2da72a5f99ff58c723b92fd9ff5b1cc3a4caec6b) (logger) - redis: Optimize with more aggresive pipelining
- [`0c82466`](https://github.com/drycc/logger/commit/0c82466f929a096df0f19c30ea56e250b9b0062c) (logger) - storage: Make redis the default storage adapter
- [`2f92eca`](https://github.com/drycc/monitor/commit/2f92eca55942e5fef07c9b295843e4fd73c9a294) (monitor) - telegraf, grafana: Start collecting redis metrics
- [`c9718e4`](https://github.com/drycc/charts/commit/c9718e4c6bb373fb34e80e0c5fb05bbf21b11374) (charts) - logger: Add redis instance for use by logger
- [`7d40069`](https://github.com/drycc/charts/commit/7d400693b352803b8e3695cba3bf54a00ad1dcf4) (charts) - swift: add support for swift storage
- [`d6992e1`](https://github.com/drycc/charts/commit/d6992e199cd30544caa820ce5aa85626534e7eb3) (charts) - telegraf: Configure telegraf to start fetching redis metrics
- [`0ae9d90`](https://github.com/drycc/workflow-cli/commit/0ae9d909881ee7eac18d3f943ecaa473ad865df3) (workflow-cli) - drycc: add `drycc shortcuts` command
- [`2862f05`](https://github.com/drycc/workflow-cli/commit/2862f056e278996a74bea224ec246366c5952528) (workflow-cli) - colors: reserve magenta for controller log messages (#132)
- [`8a61e63`](https://github.com/drycc/controller/commit/8a61e63d207c9dc76066fd119110696a6e034f87) (controller) - scheduler: add support for set based requirement filtering via the kubernetes API
- [`47b5b08`](https://github.com/drycc/controller/commit/47b5b086ef268d80cc8d91ce0b49423bacb8e75b) (controller) - IDN: add support for international domains
- [`32be50a`](https://github.com/drycc/controller/commit/32be50a323bb73683474ad3dd03b4dada6589bdf) (controller) - scheduler: sort env vars and secrets by keys for easier hashing
- [`c3c2494`](https://github.com/drycc/controller/commit/c3c2494514547d328fc933ba3eb4bf3db723ab82) (controller) - add Deployments support behind a feature flag
- [`edb0383`](https://github.com/drycc/controller/commit/edb0383a6446d048d2a9b14512534caccd74d2d1) (controller) - scheduler: feat(scheduler) prepend [namespace] to Scheduler log message for better traceability
- [`84b8080`](https://github.com/drycc/controller/commit/84b80803ad201bf04f7bf3c031413d90794ace4d) (controller) - app: make deploy timeout configurable globally/per-app via DRYCC_DEPLOY_TIMEOUT, default is 2 minutes

### Fixes

- [`65f8714`](https://github.com/drycc/dockerbuilder/commit/65f8714d6909bf23b4952544b8b0e10e54871571) (dockerbuilder) - objectstore: set properly builder bucket file environment variable
- [`9179923`](https://github.com/drycc/dockerbuilder/commit/91799230f043c81e726c23fe232d3e80c24b31eb) (dockerbuilder) - deploy.py: handle chunked output errors
- [`02112ed`](https://github.com/drycc/dockerbuilder/commit/02112edb7603ba2c2be3e764d9d107ef645329a8) (dockerbuilder) - deploy.py: delay so stderr is logged before pod exits
- [`93b9c5c`](https://github.com/drycc/logger/commit/93b9c5ce1496654432d35bf4bb51503e4b3a9805) (logger) - redis: Pass style checks
- [`7144c4e`](https://github.com/drycc/logger/commit/7144c4ef742844b6a5ab4c8d3420d5d86a0ac7d7) (logger) - rc: Specify use of redis storage adapter
- [`9dae9cc`](https://github.com/drycc/monitor/commit/9dae9cc9dbefb1314e68de79fe1db3d33ac7f8f2) (monitor) - telegraf: Create nsq topic at startup
- [`a9b2275`](https://github.com/drycc/monitor/commit/a9b2275da4eb892b986b0d16b44b77f1cfae05f6) (monitor) - telegraf: Update image default image tag in manifests
- [`8fd5ada`](https://github.com/drycc/monitor/commit/8fd5adaae198cf88e84abfa84e038ef04f21f3f5) (monitor) - grafana: Fix blank dashboards from appearing in dropdown
- [`7de06cc`](https://github.com/drycc/monitor/commit/7de06cc302beae72d986b11e28cac319e8a8bc7d) (monitor) - grafana: Redis cpu graph was not selecting right data
- [`0492bf8`](https://github.com/drycc/charts/commit/0492bf8972b8ffe1e7cf0685fe5eed2874ea5bd0) (charts) - database: Fix logic for selecting off-cluster db
- [`6fd8407`](https://github.com/drycc/charts/commit/6fd840784bccfe8d42130117252adafe62627e33) (charts) - logger: Do not helm keep rc drycc-logger-redis
- [`c425baf`](https://github.com/drycc/workflow-cli/commit/c425baf440d283ec1f5434da00b46d56663f5d2f) (workflow-cli) - ps: restarting a single pod created by Deployments was not working
- [`bcb8b01`](https://github.com/drycc/workflow-cli/commit/bcb8b01dc42f0ce438be2a9da3584ba136af02ac) (workflow-cli) - ps: give ps:restart a better understanding between RC and Deployment pods
- [`4b2c6d4`](https://github.com/drycc/workflow-cli/commit/4b2c6d43e45eb926fa67dddb23b306999a486c4d) (workflow-cli) - scale: dont call controller if there is no valid scale pattern
- [`32177aa`](https://github.com/drycc/workflow-cli/commit/32177aa142642dd41d59d2ed322131fc61d2ebbc) (workflow-cli) - settings: don't panic on empty settings file (#134)
- [`6214d96`](https://github.com/drycc/controller/commit/6214d96d52fd9a0e9b0ee6ab098590316f51cd84) (controller) - scheduler: if one RC fails to scale then ensure all other RCs are at the right level
- [`0bcea13`](https://github.com/drycc/controller/commit/0bcea133f95e097b073c55e0c44445023c135887) (controller) - scale: return error message in proper format
- [`7d24923`](https://github.com/drycc/controller/commit/7d24923a06e51dcd1fe5c4a0a3148cb6a1dac37e) (controller) - restart: wait for the pods to be scheduled
- [`7647569`](https://github.com/drycc/controller/commit/76475691f622e413f33c3b866f2e4ae81aa22b85) (controller) - scheduler: cast port to an int from environment (#857)
- [`b27c816`](https://github.com/drycc/controller/commit/b27c816e9ef21a989c68db23c0c98c02f726cf7b) (controller) - boot: change group ownership of docker socket to drycc (#804)
- [`d4415c9`](https://github.com/drycc/controller/commit/d4415c9e6f0fa6c92b4b3ac2b70857d2c9c8f78a) (controller) - api: fail when rolling back to v1 (#762)
- [`1ac6b54`](https://github.com/drycc/controller/commit/1ac6b5489c84f68ace7a0a0050f8fc8988d339c7) (controller) - release: return port from get_port for non-routable process types
- [`a0567ea`](https://github.com/drycc/controller/commit/a0567eaae4747c466a191fbbe83c846cc521fb0c) (controller) - api: remove command escaping from v1 (#822)
- [`f403efb`](https://github.com/drycc/controller/commit/f403efb610787faee46225aa9e63f0ae8abeb525) (controller) - tests: sort domains in tests to get past occasional ordering problems which cause test failures

### Documentation

- [`dd2b505`](https://github.com/drycc/workflow/commit/dd2b505b51da34bb972a474dcc6ffba632d12d26) (workflow) - logging,monitoring: Update platform-logging and monitoring docs with recent changes
- [`dfb6c8e`](https://github.com/drycc/workflow/commit/dfb6c8ee8851a2af3847eecb5473b6d2dcc5ce65) (workflow) - install-workflow: note that k8s 1.2.x is required
- [`aa40a49`](https://github.com/drycc/workflow/commit/aa40a49f199b83373c38497e2638107644299498) (workflow) - swift: Add swift as an object storage
- [`3e7e865`](https://github.com/drycc/workflow/commit/3e7e865edaaffda156f0f6a595757bf0c81ed0d3) (workflow) - deployments: add Deployments documentation
- [`ee03d28`](https://github.com/drycc/workflow/commit/ee03d284316287c2f473503afe0375eb975a1377) (workflow) - apps: document `DRYCC_DEPLOY_TIMEOUT` and the nuances around that

### Maintenance

- [`5c289c4`](https://github.com/drycc/slugbuilder/commit/5c289c4cfda9815e0629d8b5f1e3848a612c481f) (slugbuilder) - buildpacks: update heroku-buildpack-go to v42
- [`d5cdd0b`](https://github.com/drycc/slugbuilder/commit/d5cdd0b83801d3302afbbe7ee9fa04fadc29caca) (slugbuilder) - buildpacks: update heroku-buildpack-php to v108
- [`85c8292`](https://github.com/drycc/slugbuilder/commit/85c82926352390150b72a15efd7826295f23475d) (slugbuilder) - buildpacks: update heroku-buildpack-nodejs to v91
- [`165105f`](https://github.com/drycc/slugbuilder/commit/165105f366bdfc7a8a33e0c7be2e465a9799d4f3) (slugbuilder) - buildpacks: update heroku-buildpack-python to v81
- [`9bbed87`](https://github.com/drycc/slugbuilder/commit/9bbed872679ff038ad63f9c4c7b6ee043d0e4b76) (slugbuilder) - buildpacks: update heroku-buildpack-scala to v71
