## Workflow v2.7.0 -> v2.8.0

### Builder v2.5.4 -> v2.5.5

#### Fixes

- [`4745179`](https://github.com/drycc/builder/commit/4745179d9487ced5607cd7398a55c5488fabf5c9) charts: Use the common storage secret

### Controller v2.7.1 -> v2.8.1


#### Fixes

- [`0d83024`](https://github.com/drycc/controller/commit/0d830247b3635c097bd8605dddc745fa957ece35) deploy: add a global / per-app setting called PROCFILE_REMOVE_PROCS_ON_DEPLOY to allow turning off / on removal of processes on deploys (#1099)
- [`1c0350a`](https://github.com/drycc/controller/commit/1c0350aea77e160afdf3c194b3e03c892b284079) registration: allow admin user registration when the mode is admin_only
- [`172d91b`](https://github.com/drycc/controller/commit/172d91b8b9f5fd3b4ec72d1be229e509474b4a0a) registration: Add support to change the default regsitration mode
- [`eb2104a`](https://github.com/drycc/controller/commit/eb2104aba2183121ef7b1f12a097218f80da9127) release: Don't rollback if there is no build

#### Documentation

- [`a230913`](https://github.com/drycc/controller/commit/a230913870e48cfecf977993f2044648cc2afe43) readme: fix links to virtualenv docs
- [`946de66`](https://github.com/drycc/controller/commit/946de66a6d2c9ba47920366c54e307e1b915fdcc) readme: fix links to virtualenv docs
- [`40e8be1`](https://github.com/drycc/controller/commit/40e8be13b0c3f1d212c67777b1dfd9b3d7925e92) README: docs(README) Refer to postgres setup in Makefile
- [`f0fea19`](https://github.com/drycc/controller/commit/f0fea19dd7ab399d91c0a5dfb42ab25d930b5b8f) README: Recommend installing python via pyenv

#### Maintenance

- [`70a6853`](https://github.com/drycc/controller/commit/70a68532609687f23883f0f3092a454bbdc5bb6b) tests: add test for ed25519 SSH keys
- [`d2ff507`](https://github.com/drycc/controller/commit/d2ff5070e21b0db217c6f8c545551f329cb061ba) tests: add hook tests for ECDSA and ED25519 SSH keys
- [`796668a`](https://github.com/drycc/controller/commit/796668a373a0d04b60c379855fea00da4de3cc1c) requirements: update PyOpenSSL to 16.2.0 (#1114)
- [`58d5ae7`](https://github.com/drycc/controller/commit/58d5ae72a72dcb2c2a2ed59376ad2a55e6301cef) requirements: update docker-py to 1.10.4 (#1115)
- [`1dd4093`](https://github.com/drycc/controller/commit/1dd4093d8a77930e720ced15f4427e4006c51089) requirements: update to DRF 3.5.1 (#1120)

### Dockerbuilder v2.4.1 -> v2.5.0

#### Features

- [`1df9223`](https://github.com/drycc/dockerbuilder/commit/1df9223e2ebed7c592f419ff786faf75d001ab87) deploy.py: add pull option

### Fluentd v2.4.2 -> v2.4.3

#### Features

- [`ceaa347`](https://github.com/drycc/fluentd/commit/ceaa3473ede5e99b3d677a482dab9f8c2414e3e0) elasticsearch: Add support for dropping fluentd's own logs to stop an infinite death spiral

#### Fixes

- [`d3523b3`](https://github.com/drycc/fluentd/commit/d3523b3482c0824981332d22cf7e6af2a60c0d16) boot/drycc: Fix conditional for disabling drycc output


### Logging v2.3.1 -> v2.3.2

#### Features

- [`9bf8520`](https://github.com/drycc/logger/commit/9bf8520e23621a4c6ac07b9012e0968f794c6f23) charts: Add helm charts for logger

#### Fixes

- [`2c838b3`](https://github.com/drycc/logger/commit/2c838b3906c85d4b1e4fc796aa139814dbf5a8aa) server_test: skip TestServerClose

#### Maintenance

- [`e36fe0f`](https://github.com/drycc/logger/commit/e36fe0f4e0dcafa7376a3fb6c35e597c3c0b3e43) CHANGELOG: remove CHANGELOG

### Logger-Redis v2.2.2 -> v2.2.3

#### Features

- [`bf58552`](https://github.com/drycc/redis/commit/bf585524e8c96184bb7d7a855a08242af6601755) charts: Add helm charts for redis


### Minio v2.3.1 -> v2.3.3

#### Features

- [`1f63beb`](https://github.com/drycc/minio/commit/1f63beb0c51153388a73654952a3076183a1c589) charts: Add helm charts for minio

#### Fixes

- [`7b1db94`](https://github.com/drycc/minio/commit/7b1db94884b2177c1bbbe54544e01f445cbcb22f) docs: fix link location to drycc documentation (#121)

### Monitoring v2.6.1 -> v2.6.2

#### Features

- [`adedd69`](https://github.com/drycc/monitor/commit/adedd69bff3960e9496a062ef6e4b0fc39de05d4) monitor: Allow for off cluster influxdb

#### Fixes

- [`c177c70`](https://github.com/drycc/monitor/commit/c177c70501afe86a5775d6af83b616d682b1e46a) grafana,telegraf: make curl fail on unsuccessful HTTP codes

#### Maintenance

- [`e008741`](https://github.com/drycc/monitor/commit/e00874199741fdf9f9e638179b66833c5b63e11a) grafana: Update dashboards for new telegraf


### NSQ v2.2.3 -> v2.2.4

#### Features

- [`6d01e7e`](https://github.com/drycc/nsq/commit/6d01e7edd823a7d9f6971ada81a11139fba33d11) charts: Add helm charts for nsq


### Postgres v2.2.5 -> v2.2.6

#### Fixes

- [`4bb00a1`](https://github.com/drycc/postgres/commit/4bb00a1c4662a4cc003742997084aaecf84ee5d3) charts: Use the common storage secret


### Registry v2.2.2 -> v2.2.4

#### Features

- [`5614cf7`](https://github.com/drycc/registry/commit/5614cf7832cd15a40e67f39a3c1a4f14e4924c29) charts: Add helm charts for registry

#### Fixes

- [`e4bbb57`](https://github.com/drycc/registry/commit/e4bbb573051ee0ee0de734f0262c5ecc70bcfd74) charts: Use the common storage secret

#### Maintenance

- [`a46404c`](https://github.com/drycc/registry/commit/a46404c23db49d0310dc2709d92d21663953b3c8) CHANGELOG: remove CHANGELOG


### Registry Proxy v1.1.0 -> v1.1.1

#### Features

- [`a9e1d48`](https://github.com/drycc/registry-proxy/commit/a9e1d48d78edb18a6c6275b80e5dcba16342b899) charts: Add helm charts for registry proxy

#### Maintenance

- [`62ad655`](https://github.com/drycc/registry-proxy/commit/62ad655f21c985245506ba84cc26842a554c9535) rootfs: bump version to v1.2.0-dev


### Registry Token Refresher v1.0.2 -> v1.0.3

#### Features

- [`ec09ac2`](https://github.com/drycc/registry-token-refresher/commit/ec09ac2b4eef9983828f3613afc99996901ea263) charts: Add helm charts for registry token refresher


### Router v2.6.3 -> v2.6.5

#### Features

- [`0241013`](https://github.com/drycc/router/commit/024101377aa6ea8c5e1d08774007b93d3f8a6652) charts: Add helm charts for the router

#### Fixes

- [`646b1c6`](https://github.com/drycc/router/commit/646b1c69faf9b8493687af2da53fc723a92be8e8) charts: bump router's livenessProbe initial delay

#### Maintenance

- [`fbdc2c6`](https://github.com/drycc/router/commit/fbdc2c6cf6f5d3e37c38c660ebaa499dfe0c3aaf) nginx: update nginx to 1.11.5


### Slugbuilder v2.4.4 -> v2.4.5

#### Features

- [`844021a`](https://github.com/drycc/slugbuilder/commit/844021a2e4a749c1199e2462f7218a30b9f906f4) charts: Add helm charts for slugbuilder


### Slugrunner v2.2.2 -> v2.2.3

#### Features

- [`e4dc4ae`](https://github.com/drycc/slugrunner/commit/e4dc4aeadac2544fb75153085e8b4a5610e518ef) charts: Add helm charts for slugrunner

#### Maintenance

- [`d45accb`](https://github.com/drycc/slugrunner/commit/d45accbab82db122cf291ad36c6852149e1fdf12) CHANGELOG: remove CHANGELOG


### Workflow Documentation v2.7.0 -> v2.8.0

#### Features

- [`4196ca3`](https://github.com/drycc/workflow/commit/4196ca3d20e4abf90949f56645faac900decedc6) deploys: Add new configuration options to Controller introduced in controller/#1099 (#551)
- [`659116d`](https://github.com/drycc/workflow/commit/659116de8778572437af6744ca738941caf58b42) charts: Add helm charts for workflow
- [`bef1728`](https://github.com/drycc/workflow/commit/bef172805705e8a5ec24e4c1368b9a2f9a2857e9) helm: Add instruction to install workflow using the new helm
- [`d793606`](https://github.com/drycc/workflow/commit/d7936068a7159b085e537d96121b85d62ded8166) charts: Add support for external influxdb and changing registration mode

#### Fixes

- [`330945d`](https://github.com/drycc/workflow/commit/330945d0ed020fbe0fcd2d3b48b8cc15b864bfe4) troubleshooting: remove reference to Workflow version
- [`34d96c5`](https://github.com/drycc/workflow/commit/34d96c5c4e5acc5921f3772874e64446a74affa5) charts: Add workflow manager production urls for the release charts

#### Documentation

- [`8c48e28`](https://github.com/drycc/workflow/commit/8c48e28bb7c5a76f47d1dc8cf129c71ec286a3b0) object-storage: document the required STORAGE_TYPE env var (#547)
- [`df70784`](https://github.com/drycc/workflow/commit/df70784a346fc94f60a130eb7cae1ec3c5c62dd3) readme: adding workflow-manager to list of components (#549)
- [`43ff1b6`](https://github.com/drycc/workflow/commit/43ff1b6b6a6bd1612548a1a9ca0792ef08724d5a) installing/platform-logging: Update docs for off-cluster installs
- [`e1b6b0b`](https://github.com/drycc/workflow/commit/e1b6b0be3095d599258481f64efe7e78eb1ca8dc) Documentation changes, suggestions, fixes (#548)
- [`8d8b7ec`](https://github.com/drycc/workflow/commit/8d8b7ec6ef7719b2fb3fadc21c6d4c66d7489019) readme: add nsq to list of drycc components (#550)
- [`297307c`](https://github.com/drycc/workflow/commit/297307c40c0466288eecf9bd1879e520559bf416) upgrading-workflow: Add instructions to preserve platform SSL credentials (#561)
- [`f8841b7`](https://github.com/drycc/workflow/commit/f8841b7413349e6ac347b3b727a8655023a32fb9) Update boot.md
- [`3c57d88`](https://github.com/drycc/workflow/commit/3c57d8816f017e386603134639a42cc66d857bc2) Fix minor typo (#572)

### Workflow CLI v2.7.0 -> v2.7.1

#### Features

- [`950e1ad`](https://github.com/drycc/workflow-cli/commit/950e1adcd307938b3e31a2f12f9dc949a201f3f1) Jenkinsfile: send slack channel to downstream test job

#### Tests

- [`6c9c935`](https://github.com/drycc/workflow-cli/commit/6c9c9352cc402ca99882fbd2d9080c297e4193fc) auth: add test for whoami --all (#261)


### Workflow E2E Tests v2.6.0 -> v2.6.1

#### Features

- [`bf3a560`](https://github.com/drycc/workflow-e2e/commit/bf3a5604dea20bed5597636daa899ec0d9443b01) charts: Add helm charts for workflow-e2e


### Workflow Manager v2.4.2 -> v2.4.3

#### Features

- [`80af9c3`](https://github.com/drycc/workflow-manager/commit/80af9c388e6a2ac1d2ba8be998ed84611d587fd7) charts: Add helm charts for workflow-manager

#### Maintenance

- [`43f1251`](https://github.com/drycc/workflow-manager/commit/43f12514e95e4c9254587770b54d74d9c1760bbf) CHANGELOG: remove CHANGELOG
