# Contributor Overview

Interested in contributing to a Drycc project?  There are lots of ways to help.

## File Bugs & Enhancements

Find a bug? Want to see a new feature? Have a request for the maintainers? Open a Github issue in the applicable repository and we’ll get the conversation started.

Our official support channel is the [Drycc #community Slack channel][slack].

Don't know what the applicable repository for an issue is? Open up in issue in [workflow][] or chat with a maintainer in the [Drycc #community Slack channel][slack] and we'll make sure it gets to the right place.

Additionally, take a look at the [troubleshooting][] documentation for common issues.

Before opening a new issue, it's helpful to search and see if anyone else has already reported the problem. You can search through a list of issues for all Drycc projects [here][issues].

## Write Documentation

We are always looking to improve and expand our documentation. Most docs reside in the [drycc/workflow][workflow] repository. Simply fork the project, update docs and send us a pull request.

## Contribute Code

We are always looking for help improving the core platform, other workloads, tooling, and test coverage. Interested in contributing code? Let’s chat in the [Drycc #community Slack channel][slack]. Make sure to check out issues tagged [easy fix][] or [help wanted][].

When you're ready to begin writing code, review [Design Documents][dd] and get your [Development Environment][dev-environment] set up.

By contributing to any Drycc project you agree to its [Developer Certificate of Origin (DCO)][dco]. This document was created by the Linux Kernel community and is a simple statement that you, as a contributor, have the legal right to make the contribution.

## Triage Issues

If you don't have time to code, consider helping with triage. The community will thank you for saving them time by spending some of yours. See [Triaging Issues](triaging-issues.md) for more info.

## Share your Experience

Interact with the community on our user mailing list or live in our [Drycc #community Slack channel](https://slack.drycc.cc), where you can chat with other Drycc Workflow users any time of day.

[workflow]: https://github.com/drycc/workflow
[dd]: design-documents.md
[dev-environment]: development-environment.md
[easy fix]: https://github.com/pulls?utf8=%E2%9C%93&q=user%3Adrycc+label%3A%22easy+fix%22+is%3Aopen
[dco]: https://github.com/drycc/workflow/blob/master/DCO
[help wanted]: https://github.com/pulls?utf8=%E2%9C%93&q=user%3Adrycc+label%3A%22help+wanted%22+is%3Aopen
[troubleshooting]: ../troubleshooting/index.md
[issues]: https://github.com/pulls?utf8=%E2%9C%93&q=user%3Adrycc+user%3Ahelm
[slack]: https://slack.drycc.cc
